Skip to main content
GET
/
dev
/
v1
/
coupons
/
{id}
Get coupon
curl --request GET \
  --url https://api.shoppex.io/dev/v1/coupons/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "coupon_db_1",
    "uniqid": "coupon_1",
    "shop_id": "shop_1",
    "type": "PERCENTAGE",
    "code": "save10",
    "discount": 10,
    "used": 2,
    "max_uses": 100,
    "min_order_amount": 20,
    "max_discount": 50,
    "valid_from": 1711929600,
    "valid_until": 1714521600,
    "is_active": true,
    "created_at": 1711929600,
    "updated_at": 1711933200,
    "products_bound": [
      "prod_1"
    ],
    "products_count": 1
  }
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Response

Successful response

data
object
required